curl --request GET \
--url https://{globale_api_domain}/banners/data/free-shippingimport requests
url = "https://{globale_api_domain}/banners/data/free-shipping"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{globale_api_domain}/banners/data/free-shipping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{globale_api_domain}/banners/data/free-shipping",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{globale_api_domain}/banners/data/free-shipping"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{globale_api_domain}/banners/data/free-shipping")
.asString();require 'uri'
require 'net/http'
url = URI("https://{globale_api_domain}/banners/data/free-shipping")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"IsEnabled": true,
"CurrencyCode": "GBP",
"CultureCode": "en-GB",
"CountryCode": "GB",
"Text": "Enjoy our great international shipping rates",
"FreeShippingThreshold": -1
}Get free shipping banner data (Merchant to Global-e)
Retrieves the free shipping banner configuration and localized message for a specific country, culture, and currency combination. The merchant is resolved from the authentication context (merchant GUID).
curl --request GET \
--url https://{globale_api_domain}/banners/data/free-shippingimport requests
url = "https://{globale_api_domain}/banners/data/free-shipping"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{globale_api_domain}/banners/data/free-shipping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{globale_api_domain}/banners/data/free-shipping",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{globale_api_domain}/banners/data/free-shipping"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{globale_api_domain}/banners/data/free-shipping")
.asString();require 'uri'
require 'net/http'
url = URI("https://{globale_api_domain}/banners/data/free-shipping")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"IsEnabled": true,
"CurrencyCode": "GBP",
"CultureCode": "en-GB",
"CountryCode": "GB",
"Text": "Enjoy our great international shipping rates",
"FreeShippingThreshold": -1
}Query Parameters
ISO 3166-1 alpha-2 or alpha-3 country code (for example GB).
2 - 3Culture code (for example en-GB).
10ISO 4217 currency code (for example GBP).
3Response
Free shipping banner data. Identical for both endpoints.
Indicates whether the free shipping banner is enabled.
Currency used for evaluating free shipping.
Culture used for localization.
Country evaluated for shipping policy.
Localized free shipping banner message.
-1 = no free shipping; 0 = free for all orders; >0 = free shipping above the given amount.
Returned only when the banner data could not be built (HTTP 400). Quote it to Global-e support.

